Run Extract Template (Batch)
curl --request POST \
--url https://sdk.nimbleway.com/v2/extract/templates/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"formats": [],
"localization": true,
"params": {}
}
],
"shared_inputs": {
"template": "<string>",
"formats": [],
"localization": true,
"params": {}
}
}
'import requests
url = "https://sdk.nimbleway.com/v2/extract/templates/batch"
payload = {
"inputs": [
{
"formats": [],
"localization": True,
"params": {}
}
],
"shared_inputs": {
"template": "<string>",
"formats": [],
"localization": True,
"params": {}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
inputs: [{formats: [], localization: true, params: {}}],
shared_inputs: {template: '<string>', formats: [], localization: true, params: {}}
})
};
fetch('https://sdk.nimbleway.com/v2/extract/templates/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"batch_id": "<string>",
"batch_size": 123,
"tasks": [
{
"_query": "<unknown>",
"created_at": "<string>",
"id": "<string>",
"input": "<unknown>",
"status_url": "<string>",
"account_name": "<string>",
"batch_id": "4b0a90bf-c951-42e4-95b3-a95a65ba69fc",
"download_url": "https://api.webit.live/api/v2/tasks/123e4567-e89b-12d3-a456-426614174000/results",
"error": "Connection timeout",
"error_type": "timeout_error",
"modified_at": "<string>",
"output_url": "<string>",
"queue": "<string>",
"status_code": 123
}
]
}Run Extract Template (Batch)
Execute Extract Template Batch Endpoint
POST
/
v2
/
extract
/
templates
/
batch
Run Extract Template (Batch)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Was this page helpful?
⌘I